@import '_content/iprotus.Razor/iprotus.Razor.035ckx8mw7.bundle.scp.css';

/* /Components/Layout/Footer.razor.rz.scp.css */
/*******************************************************************************************************************/
/**                                                                                                               **/
/** www.iprotus.com Footer.razor scoped CSS.                                                                      **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprotus-footer-outer[b-ujdd8sbgix] {
	display: flex;
	justify-content: space-evenly;
	padding: 2rem 0;
	width: 100%;
	align-items: center;
}
.iprotus-footer-logo[b-ujdd8sbgix] {
	width: 25%;
	aspect-ratio: 700 / 233;
	background-image: url(/Graphics/Logos/LogoTexted-700x233.png);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: center;
	background-size: cover;
	overflow: hidden;
	filter: var(--iprotus-home-splash-imglogo-filter);
}
.iprotus-footer-address[b-ujdd8sbgix] {
	display: grid;
	grid-template-columns: repeat(2, auto);
	grid-template-rows: repeat(3, auto);
	gap: 0.5rem 0;
}
.iprotus-footer-address > div[b-ujdd8sbgix] {
	display: inline-block;
	vertical-align: top;
}
.iprotus-footer-legal[b-ujdd8sbgix] {
	display: grid;
	grid-template-columns: repeat(1, auto);
}
.iprotus-footer-legal > div:first-child[b-ujdd8sbgix] {
	margin-bottom: 0.75rem;
}
.iprotus-footer-label[b-ujdd8sbgix] {
	padding: 0.15rem 0.25rem;
	text-align: right;
	vertical-align: top;
}
.iprotus-footer-link[b-ujdd8sbgix] {
	display: inline-block;
	border-radius: 0.4rem;
	padding: 0.15rem 0.5rem;
	vertical-align: top;
	color: var(--iprotus-header-link-color);
	background-color: var(--iprotus-header-link-background-color);
	cursor: pointer;
	transition: color ease 0.5s, background-color ease 0.5s;
}
.iprotus-footer-link:hover[b-ujdd8sbgix] {
	color: var(--iprotus-header-link-color-hover);
	background-color: var(--iprotus-header-link-background-color-hover);
}
.iprotus-footer-copy[b-ujdd8sbgix] {
	display: inline-block;
	padding: 0.25rem;
	vertical-align: top;
}
/* /Components/Layout/Header.razor.rz.scp.css */
/*******************************************************************************************************************/
/**                                                                                                               **/
/** www.iprotus.com Header.razor scoped CSS.                                                                      **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprotus-header-outer[b-916c5e2srt] {
	display: grid;
	grid-template-columns: repeat(4, auto);
	justify-content: end;
	align-items: center;
	height: 3rem;
}
.iprotus-header-outer > div[b-916c5e2srt] {
	display: inline-grid;
	place-items: center;
	height: 3rem;
}

/*******************************************************************************************************************/

.iprotus-header-title[b-916c5e2srt] {
	display: inline-grid;
	grid-template-columns: repeat(3, auto);
	place-items: center;
	padding: 0 1rem;
}
.iprotus-header-link[b-916c5e2srt] {
	display: inline-block;
	margin-top: 0.15rem;
	border-radius: 0.4rem;
	padding: 0.1rem 0.5rem 0.25rem 0.5rem;
	color: var(--iprotus-header-link-color);
	background-color: var(--iprotus-header-link-background-color);
	cursor: pointer;
	transition: color ease 0.5s, background-color ease 0.5s;
}
.iprotus-header-link:hover[b-916c5e2srt] {
	color: var(--iprotus-header-link-color-hover);
	background-color: var(--iprotus-header-link-background-color-hover);
}
.iprotus-header-label[b-916c5e2srt] {
	display: inline-grid;
	margin-top: 0.15rem;
	padding: 0.1rem 0.5rem 0.25rem 0.5rem;
}
.iprotus-header-label-nopad[b-916c5e2srt] {
	display: inline-grid;
	margin-top: 0.15rem;
	padding: 0.1rem 0.125rem 0.25rem 0.125rem;
}
.iprotus-header-menutrigger[b-916c5e2srt] {
	width: 3rem;
	background-color: var(--iprotus-header-link-background-color);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: center;
	background-size: 2rem 2rem;
	overflow: hidden;
	cursor: pointer;
	transition: background-color ease 0.5s;
}
.iprotus-header-menutrigger.stuck[b-916c5e2srt] {
	background-color: var(--iprotus-header-link-background-color-hover);
}
.iprotus-header-menutrigger:hover[b-916c5e2srt] {
	background-color: var(--iprotus-header-link-background-color-hover);
}

/*******************************************************************************************************************/

.iprotus-header-menu[b-916c5e2srt] {
	display: grid;
	grid-template-columns: auto;
	border-top: 0.5rem solid var(--iprotus-header-link-background-color-hover);
	border-radius: 0 0 0 1.5rem;
	padding: 0.5rem;
	background-color: var(--iprotus-header-background-color);
}
.iprotus-header-menu div:last-child[b-916c5e2srt] {
	border-radius: 0 0 0 1rem;
}
.iprotus-header-menu-spacer[b-916c5e2srt] {
	height: 0.15rem;
	margin: 0.25rem 0;
	background-color: var(--iprotus-header-color);
}
.iprotus-header-menu-item[b-916c5e2srt] {
	display: grid;
	grid-template-columns: auto 1fr;
	padding: 0.25rem 0.5rem;
	align-items: center;
	cursor: pointer;
	transition: background-color ease 0.5s;
}
.iprotus-header-menu-item:hover[b-916c5e2srt] {
	background-color: var(--iprotus-header-link-background-color-hover);
}
.iprotus-header-menu-item-disabled[b-916c5e2srt] {
	display: grid;
	grid-template-columns: auto 1fr;
	padding: 0.25rem 0.5rem;
	align-items: center;
	color: var(--iprotus-header-color-disabled);
	background-color: var(--iprotus-header-background-color-disabled);
}
.iprotus-header-menu-item-flag[b-916c5e2srt] {
	display: block;
	grid-row: span 2 / auto;
	width: 2rem;
	height: 2rem;
	background-color: var(--iprotus-header-link-background-color);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: center;
	background-size: 2rem 2rem;
	overflow: hidden;
}
.iprotus-header-menu-item-country[b-916c5e2srt] {
	display: flex;
	align-items: center;   /* vertical */
	padding-left: 0.75rem;
	height: 2rem;
	font-weight: bold;
}
.iprotus-header-menu-item-none[b-916c5e2srt] {
	display: none;
}
.iprotus-header-menu-item-icon[b-916c5e2srt] {
	display: block;
	grid-row: span 2 / auto;
	align-items: center;
	margin-right: 1rem;
	width: 3rem;
	height: 3rem;
	background-color: var(--iprotus-header-link-background-color);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: center;
	background-size: 2rem 2rem;
	overflow: hidden;
}
.iprotus-header-menu-item-name[b-916c5e2srt] {
	font-weight: bold;
}
.iprotus-header-menu-item-desc[b-916c5e2srt] {
	font-size: 0.7rem;
	white-space: nowrap;
}
.iprotus-header-menu-item-toggle[b-916c5e2srt] {
	display: flex;
	align-items: center;   /* vertical */
	grid-row: span 2 / auto;
	align-items: center;
	margin-right: 1rem;
	width: 3rem;
	height: 3rem;
}
/* /Components/Layout/Master.razor.rz.scp.css */

/*******************************************************************************************************************/
/**                                                                                                               **/
/** www.iprotus.com MainLayout.razor scoped CSS.                                                                  **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprotus-master[b-fsizxor7ab] {
	position: relative;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	color: var(--iprotus-master-color);
	background-color: var(--iprotus-master-background-color);
	cursor: default;
}
.iprotus-master-header[b-fsizxor7ab] {
	position: fixed;
	top: 0px;
	left: 0px;
	right: 0px;
	height: 3rem;			/* Sync with Header.css: heaader.outer */
	min-width: 300px;
	color: var(--iprotus-header-color);
	background-color: var(--iprotus-header-background-color);
}
.iprotus-master-body[b-fsizxor7ab] {
	display: flex;
	flex: 1;
	flex-direction: column;
}
.iprotus-master-footer[b-fsizxor7ab] {
	flex: 0 0 auto;
	color: var(--iprotus-header-color);
	background-color: var(--iprotus-header-background-color);
}

/*******************************************************************************************************************/

.iprotus-master a[b-fsizxor7ab] {
	color: var(--iprotus-master-a-color);
	text-decoration: underline;
	transition: color 0.5s ease;
}
.iprotus-master a:hover[b-fsizxor7ab] {
	color: var(--iprotus-master-a-color_hover);
}

/*******************************************************************************************************************/
/** Original CSS from project template. Used by the razor framework to display the error UI.                      **/
/*******************************************************************************************************************/

#blazor-error-ui[b-fsizxor7ab] {
	color-scheme: light only;
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	box-sizing: border-box;
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}
#blazor-error-ui .reload[b-fsizxor7ab] {
	cursor: pointer;
	color: darkblue;
	text-decoration: underline;
}
#blazor-error-ui .dismiss[b-fsizxor7ab] {
	cursor: pointer;
	position: absolute;
	right: 0.75rem;
	top: 0.5rem;
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-m3jc14tl1w],
.components-reconnect-repeated-attempt-visible[b-m3jc14tl1w],
.components-reconnect-failed-visible[b-m3jc14tl1w],
.components-pause-visible[b-m3jc14tl1w],
.components-resume-failed-visible[b-m3jc14tl1w],
.components-rejoining-animation[b-m3jc14tl1w] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-retrying[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-failed[b-m3jc14tl1w],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-m3jc14tl1w] {
    display: block;
}


#components-reconnect-modal[b-m3jc14tl1w] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-m3jc14tl1w 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-m3jc14tl1w 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-m3jc14tl1w 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-m3jc14tl1w]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-m3jc14tl1w 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-m3jc14tl1w {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-m3jc14tl1w {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-m3jc14tl1w {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-m3jc14tl1w] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-m3jc14tl1w] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-m3jc14tl1w] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-m3jc14tl1w] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-m3jc14tl1w] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-m3jc14tl1w] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-m3jc14tl1w] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-m3jc14tl1w 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-m3jc14tl1w] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-m3jc14tl1w {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Error.razor.rz.scp.css */

/*******************************************************************************************************************/
/**                                                                                                               **/
/** park.iprotus.com NotFound.razor scoped CSS.                                                                   **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprotus-error-outer[b-cquaqhpgbt] {
	display: flex;
	flex: 1;
	flex-direction: column;
	padding-top: 3rem;		/* Sync with Header.css: heaader.outer */
	justify-content: center;
	align-items: center;
	background-color: var(--iprotus-home-splash-background-color);
	background-image: var(--iprotus-home-splash-background-image);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: right top;
	background-size: cover;
	overflow: hidden;
}

/*******************************************************************************************************************/

.iprotus-error-inner[b-cquaqhpgbt] {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	max-width: 75%;
	padding: 5rem;
	border-radius: 1rem;

}
.iprotus-error-inner-button[b-cquaqhpgbt] {
	margin: 2rem 0;
}
.iprotus-error-inner h3[b-cquaqhpgbt] {
	margin-bottom: 1rem;
}
.iprotus-error-inner h4[b-cquaqhpgbt] {
	margin-bottom: 1rem;
}
.iprotus-error-inner p[b-cquaqhpgbt] {
	margin-bottom: 1em;
}
.iprotus-error-inner li[b-cquaqhpgbt] {
	margin-bottom: 1em;
}

/*******************************************************************************************************************/

.iprotus-error-devinfo[b-cquaqhpgbt] {
	margin: 1rem 0;
	padding: 0.5rem;
	max-width: 80%;
	text-align: center;
}
/* /Components/Pages/Home.razor.rz.scp.css */

/*******************************************************************************************************************/
/**                                                                                                               **/
/** park.iprotus.com Home.razor scoped CSS.                                                                       **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprotus-park-splash-info[b-53egp0d20k] {
	margin-bottom: 5rem;
	padding: 1rem;
	border-radius: 1rem;
	color: var(--iprotus-header-color);
}
.iprotus-park-splash-info > div[b-53egp0d20k] {
	padding: 0.5rem;
	text-align: center;
}
.iprotus-home-splash-logo[b-53egp0d20k] {
	width: calc(100vw / 2);
	aspect-ratio: 700 / 233;
	background-image: url(/Graphics/Logos/LogoTexted-700x233.png);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: center;
	background-size: cover;
	overflow: hidden;
	filter: var(--iprotus-home-splash-imglogo-filter);
}
/* /Components/Pages/NotFound.razor.rz.scp.css */

/*******************************************************************************************************************/
/**                                                                                                               **/
/** park.iprotus.com NotFound.razor scoped CSS.                                                                   **/
/**                                                                                                               **/
/*******************************************************************************************************************/

.iprotus-notfound-outer[b-5f1nu27f4l] {
	display: flex;
	flex: 1;
	flex-direction: column;
	padding-top: 3rem;		/* Sync with Header.css: heaader.outer */
	justify-content: center;
	align-items: center;
	background-color: var(--iprotus-home-splash-background-color);
	background-image: var(--iprotus-home-splash-background-image);
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: right top;
	background-size: cover;
	overflow: hidden;
}
.iprotus-notfound-inner[b-5f1nu27f4l] {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	max-width: 75%;
	padding: 5rem;
	border-radius: 1rem;

}
.iprotus-notfound-inner h3[b-5f1nu27f4l] {
	margin-bottom: 1rem;
}
.iprotus-notfound-inner p[b-5f1nu27f4l] {
}
.iprotus-notfound-inner-request[b-5f1nu27f4l] {
	margin: 1rem 0;
	padding: 0.5rem;
	max-height: 5em;
	overflow: auto;
	word-break: break-all;
}
